
#ifndef _SVGACACHE_H_
  #define _SVGACACHE_H_

  #ifdef __TURBOC__
    #define SVGAC_DEFMAXCACHEDSPRITES 100
  #else
    #define SVGAC_DEFMAXCACHEDSPRITES 2500
  #endif

  extern int SVGAC_maxCached;

  extern void SVGAC_done (void);
  extern void SVGAC_init (int maxCachedSprites); // =SVGAC_DEFMAXCACHEDSPRITES
  extern void SVGAC_putSprNoVSB (void *Sprite, int x, int y, int sizeX, int sizeY, int formatX);
  extern void SVGAC_putWinNoVSB (void *Sprite, int x, int y, int sizeX, int sizeY, int formatX);
  extern void SVGAC_putSpr (void *Sprite, int x, int y, int sizeX, int sizeY, int formatX);
  extern void SVGAC_putWin (void *Sprite, int x, int y, int sizeX, int sizeY, int formatX);
  extern void SVGAC_flush (void);
/*  extern void VESA12C_done (void);
  extern void VESA12C_init (int maxCachedSprites);
  extern void VESA12_putWin2_ (void *Sprite, int x, int y, int sizeX, int sizeY, int formatX);
  extern void VESA12_flushBank (int i);
  extern void VESA12_flush (void);
  extern void VESA12_putWin2_ (void *win, int x, int y, int sizeX, int sizeY, int formatX);
  extern void VESA12_putSpr2_ (void *win, int x, int y, int sizeX, int sizeY, int formatX);
  */

#endif
